org.apache.felix.scrplugin.annotations

## Interface AnnotationProcessor

All Known Implementing Classes:
  AnnotationProcessorManager

    public interface AnnotationProcessor

This service provides a plugin for annotation processing. Custom tags can be processed. On a scanned class all available annotation processors are called in order of their `getRanking()` value (lowest value first).

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` A user friendly name
`int` `getRanking()` The ranking of this processor.
`void` `process(ScannedClass scannedClass, ClassDescription describedClass)` Processes annotations from the provided scanned class and adds descriptions to the object model based on the read annotations.

### Method Detail

#### process

    void process(ScannedClass scannedClass,
                 ClassDescription describedClass)
          throws SCRDescriptorException,
                 SCRDescriptorFailureException

Processes annotations from the provided scanned class and adds descriptions to the object model based on the read annotations. If this service processes an annotation, it should remove this annotation from the provided list to avoid duplicate processing by other processors (with higher ranking)

Parameters:
  `scannedClass` - The scanned class.
  `describedClass` - The description container.
Throws:
  `SCRDescriptorException`
  `SCRDescriptorFailureException`

#### getName

    String getName()

A user friendly name

#### getRanking

    int getRanking()

The ranking of this processor.